# 本地环境
VITE_USER_NODE_ENV = development

# 公共基础路径
VITE_PUBLIC_PATH = /

# 路由模式
# Optional: hash | history
VITE_ROUTER_MODE = hash

# 打包时是否删除 console
VITE_DROP_CONSOLE = true

# 是否开启 VitePWA
VITE_PWA = false

# 开发环境接口地址
# VITE_API_URL_STORE = /api  # 开发环境使用
VITE_API = /api
VITE_API_URL_STORE = /api/alienStore #生产环境使用
VITE_API_URL = /api/alienStore
VITE_API_URL_SECOND = /api/alienSecond
VITE_API_URL_PLATFORM = /api/alienStorePlatform

# 开发环境跨域代理，支持配置多个
# VITE_PROXY = [["/api","https://api.ailien.shop"]] #生产环境
VITE_PROXY = [["/api","http://120.26.186.130:8000"]] # 邹建宇


# WebSocket 基础地址（分享等能力，与商家端一致）
VITE_WS_BASE = http://120.26.186.130:8000/alienStore/socket/


# 接口加密配置
# 加密功能总开关
VITE_API_ENCRYPTION_ENABLED = false

# AES 密钥（16字节）
VITE_CRYPTO_KEY = alien67890982316

# AES 向量（16字节）
VITE_CRYPTO_IV = 1234560405060708
